#include <cstdio>
#include <cstring>

int main()
{
	int w = 8, h = 16, x0;
	for(int i = 0 ; ; ++i)
	{
		char str[100];
		scanf("%s",str);
		if(!strcmp(str,"Quit"))
		  break;
		if(!strcmp(str,"Start")) {
			scanf("%d", &x0);
			printf("CppSampleBot\n");
			fflush(stdout);
		}
		else if(!strcmp(str,"Move")) {
			for(int j = 0; j < 2 * h; j++)
				scanf("%*s");
			printf("%d %d\n", i % w, 1);
			fflush(stdout);
		}
	}

	return 0;
}
